BaseForkOptions (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.api.tasks.compile

## [Java] Class BaseForkOptions

- org.gradle.api.tasks.compile.BaseForkOptions

- Fork options for compilation. Only take effect if `fork` is `true`.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `List<String>` | `getJvmArgs()` Returns any additional JVM arguments for the compiler process.
    `String` | `getMemoryInitialSize()` Returns the initial heap size for the compiler process.
    `String` | `getMemoryMaximumSize()` Returns the maximum heap size for the compiler process.
    `void` | `setJvmArgs(List<String> jvmArgs)` Sets any additional JVM arguments for the compiler process.
    `void` | `setMemoryInitialSize(String memoryInitialSize)` Sets the initial heap size for the compiler process.
    `void` | `setMemoryMaximumSize(String memoryMaximumSize)` Sets the maximum heap size for the compiler process.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected boolean excludeFromAntProperties(String fieldName)

    - #### @Input @Optional public List<String> getJvmArgs()

      Returns any additional JVM arguments for the compiler process. Defaults to the empty list.

    - #### public String getMemoryInitialSize()

      Returns the initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

    - #### public String getMemoryMaximumSize()

      Returns the maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

    - #### public void setJvmArgs(List<String> jvmArgs)

      Sets any additional JVM arguments for the compiler process. Defaults to the empty list.

    - #### public void setMemoryInitialSize(String memoryInitialSize)

      Sets the initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

    - #### public void setMemoryMaximumSize(String memoryMaximumSize)

      Sets the maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.